%define upstream_name    Dist-Zilla-Stash-PodWeaver
%define upstream_version 1.001000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A stash of config options for Pod::Weaver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::Stash::Plugins)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This performs the the Dist::Zilla::Role::Stash manpage role (using the
Dist::Zilla::Role::DynamicConfig manpage and the
Dist::Zilla::Role::Stash::Plugins manpage).

When using the Dist::Zilla::Plugin::PodWeaver manpage with a
_config_plugin_ it's difficult to pass more configuration options to the
Pod::Weaver manpage plugins.

This is often the case when using a Dist::Zilla::Role::PluginBundle that
uses a Pod::Weaver::PluginBundle::Default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README LICENSE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Mar 16 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 72478
- imported package perl-Dist-Zilla-Stash-PodWeaver


* Wed Mar 16 2011 cpan2dist 1.001000-1mga
- initial mageia release, generated with cpan2dist
